## org.biojava.bio.gui.sequence
Class BasicFeatureRenderer

    java.lang.Object
      |
      +--org.biojava.bio.gui.sequence.BasicFeatureRenderer

public class BasicFeatureRenderer
extends java.lang.Object
implements FeatureRenderer

Field Summary
`protected java.beans.PropertyChangeSupport` `pcs`

Constructor Summary
`BasicFeatureRenderer()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `addPropertyChangeListener(java.lang.String p, java.beans.PropertyChangeListener l)`
`float` `getArrowScoop()`
`float` `getArrowSize()`
`java.awt.Paint` `getFill()`
`java.awt.Paint` `getOutline()`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `removePropertyChangeListener(java.lang.String p, java.beans.PropertyChangeListener l)`
`void` `renderFeature(java.awt.Graphics2D g, Feature f, java.awt.geom.Rectangle2D box, SequencePanel context)`
`void` `setArrowScoop(float arrowScoop)`
`void` `setArrowSize(float arrowSize)`
`void` `setFill(java.awt.Paint p)`
`void` `setOutline(java.awt.Paint p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pcs

    protected java.beans.PropertyChangeSupport pcs

Constructor Detail

### BasicFeatureRenderer

    public BasicFeatureRenderer()

Method Detail

### setFill

    public void setFill(java.awt.Paint p)

### getFill

    public java.awt.Paint getFill()

### setOutline

    public void setOutline(java.awt.Paint p)

### getOutline

    public java.awt.Paint getOutline()

### setArrowSize

    public void setArrowSize(float arrowSize)

### getArrowSize

    public float getArrowSize()

### setArrowScoop

    public void setArrowScoop(float arrowScoop)

### getArrowScoop

    public float getArrowScoop()

### renderFeature

    public void renderFeature(java.awt.Graphics2D g,
                              Feature f,
                              java.awt.geom.Rectangle2D box,
                              SequencePanel context)

  Specified by:
    renderFeature in interface FeatureRenderer

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String p,
                                          java.beans.PropertyChangeListener l)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String p,
                                             java.beans.PropertyChangeListener l)